#!/bin/sh

# 脚本路径
SCRIPT_DIR="$(cd "$(dirname "$0")" && pwd)"
# 项目根目录
PROJECT_ROOT="$(cd "$SCRIPT_DIR/../.." && pwd)"

echo "=== Humanus.cpp 开发环境停止脚本 ==="
echo "项目根目录: $PROJECT_ROOT"

# 确保在项目根目录执行
cd "$PROJECT_ROOT" || { echo "无法进入项目根目录"; exit 1; }

# 停止并移除容器
echo "正在停止并移除容器..."
docker-compose -f .devops/docker-compose.yml down

# 显示容器状态
echo "容器状态:"
docker-compose -f .devops/docker-compose.yml ps

echo ""
echo "开发环境已停止。"
echo ""

# 询问是否删除构建卷
read -p "是否删除构建卷? (y/n): " REMOVE_VOLUME
if [ "$REMOVE_VOLUME" = "y" ] || [ "$REMOVE_VOLUME" = "Y" ]; then
    echo "删除构建卷..."
    docker volume rm humanus_cpp_humanus_build
    echo "构建卷已删除。"
fi 